Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2802713002: Enable side-by-side beta and dev channels. (Closed)

Created:
7 months, 3 weeks ago by grt (UTC plus 2)
Modified:
7 months ago
Reviewers:
Nico, robertshield
CC:
chromium-reviews, grt+watch_chromium.org, pennymac+watch_chromium.org, srahim+watch_chromium.org, jshin+watch_chromium.org, wfh+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Enable side-by-side beta and dev channels for Google Chrome. This change introduces two new side-by-side channels for Google Chrome. Chrome Beta can be installed via the --chrome-beta installer command line switch, while Chrome Dev can be installed via the --chrome-dev switch. Such installs have the following qualities: - They install in ...\Google\Chrome (Beta,Dev)\Application (both per-machine and per-user installs are supported). - They store their User Data directories in %LOCALAPPDATA%\Google\Chrome (Beta,Dev)\User Data. - They register with Google Update under distinct appguids: - Beta: {8237E44A-0054-442C-B6B6-EA0509993955} - Dev : {401C381F-E0DE-4B85-8BD8-3F3F14FBDA57} - Their shortcuts, taskbar, and Start Menu icons are badged with "Beta" or "Dev", as appropriate. - While they will not prompt the user to be made the user's default browser, they support being made such via the usual platform UX flows. - They self self-report as being on the "beta" and "dev" channels in user metrics and crash reporting, respectively. BUG=373987 TEST=The test_installer build step covers general "will it blend" tests. Manual testing should verify such things as: - Does chrome://version show that the Executable and Profile paths contain "Beta" or "Dev"? - Does chrome://version show "beta" or "dev" as the channel? - Do the shortcut and taskbar icons thave the proper badge? - Can these variations be installed alongside normal "Google Chrome" with no interference? Review-Url: https://codereview.chromium.org/2802713002 Cr-Original-Commit-Position: refs/heads/master@{#466436} Committed: https://chromium.googlesource.com/chromium/src/+/9897be5cb7fc7de9460c61e94eca2c4e27d99d8d Review-Url: https://codereview.chromium.org/2802713002 Cr-Commit-Position: refs/heads/master@{#466560} Committed: https://chromium.googlesource.com/chromium/src/+/7df9336519376dca2df90eb4b1f975723d99fa6c

Patch Set 1 #

Total comments: 11

Patch Set 2 : review comments; omit google strings from chromium grd #

Patch Set 3 : sync to position 465994 #

Patch Set 4 : rebase onto 2827333002 #

Patch Set 5 : back to position 465994 with empty chromium strings #

Patch Set 6 : add missing test stanza for reland #

Unified diffs Side-by-side diffs Delta from patch set Stats (+703 lines, -86 lines) Patch
M chrome/BUILD.gn View 1 2 1 chunk +4 lines, -0 lines 0 comments Download
M chrome/app/chrome_dll.rc View 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/app/chrome_dll_resource.h View 2 chunks +6 lines, -0 lines 0 comments Download
M chrome/app/chrome_exe.rc View 1 2 chunks +13 lines, -11 lines 0 comments Download
M chrome/app/chromium_strings.grd View 1 2 3 4 3 chunks +21 lines, -6 lines 0 comments Download
M chrome/app/google_chrome_strings.grd View 3 chunks +27 lines, -1 line 0 comments Download
M chrome/common/chrome_icon_resources_win.h View 1 chunk +6 lines, -0 lines 0 comments Download
M chrome/install_static/google_chrome_install_modes.h View 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/install_static/google_chrome_install_modes.cc View 1 chunk +46 lines, -0 lines 0 comments Download
M chrome/install_static/install_util_unittest.cc View 6 chunks +21 lines, -3 lines 0 comments Download
M chrome/install_static/product_install_details_unittest.cc View 1 chunk +19 lines, -0 lines 0 comments Download
M chrome/installer/mini_installer/appid.h View 1 chunk +9 lines, -2 lines 0 comments Download
M chrome/installer/mini_installer/chrome.release View 1 chunk +4 lines, -0 lines 0 comments Download
M chrome/installer/mini_installer/chrome_appid.cc View 1 chunk +4 lines, -3 lines 0 comments Download
M chrome/installer/mini_installer/configuration.cc View 1 chunk +4 lines, -0 lines 0 comments Download
M chrome/installer/mini_installer/configuration_test.cc View 1 chunk +4 lines, -0 lines 0 comments Download
M chrome/installer/setup/install_unittest.cc View 2 chunks +32 lines, -0 lines 0 comments Download
M chrome/installer/setup/setup_install_details_unittest.cc View 2 chunks +76 lines, -0 lines 0 comments Download
M chrome/installer/util/beacons_unittest.cc View 1 chunk +12 lines, -0 lines 0 comments Download
M chrome/installer/util/l10n_string_util_unittest.cc View 1 chunk +8 lines, -0 lines 0 comments Download
M chrome/installer/util/prebuild/create_string_rc.py View 1 13 chunks +39 lines, -18 lines 0 comments Download
A chrome/test/mini_installer/config/chrome_beta_installed.prop View 1 chunk +40 lines, -0 lines 0 comments Download
A chrome/test/mini_installer/config/chrome_beta_no_pv.prop View 1 chunk +11 lines, -0 lines 0 comments Download
A chrome/test/mini_installer/config/chrome_beta_not_installed.prop View 1 chunk +19 lines, -0 lines 0 comments Download
A chrome/test/mini_installer/config/chrome_beta_not_inuse.prop View 1 chunk +8 lines, -0 lines 0 comments Download
M chrome/test/mini_installer/config/chrome_canary_installed.prop View 1 chunk +1 line, -1 line 0 comments Download
M chrome/test/mini_installer/config/chrome_canary_inuse.prop View 1 chunk +1 line, -1 line 0 comments Download
M chrome/test/mini_installer/config/chrome_canary_no_pv.prop View 1 chunk +1 line, -1 line 0 comments Download
M chrome/test/mini_installer/config/chrome_canary_not_installed.prop View 1 chunk +1 line, -1 line 0 comments Download
M chrome/test/mini_installer/config/chrome_canary_not_inuse.prop View 1 chunk +1 line, -1 line 0 comments Download
M chrome/test/mini_installer/config/chrome_canary_updated.prop View 1 chunk +1 line, -1 line 0 comments Download
A + chrome/test/mini_installer/config/chrome_dev_installed.prop View 1 chunk +13 lines, -13 lines 0 comments Download
A chrome/test/mini_installer/config/chrome_dev_no_pv.prop View 1 chunk +11 lines, -0 lines 0 comments Download
A chrome/test/mini_installer/config/chrome_dev_not_installed.prop View 1 chunk +19 lines, -0 lines 0 comments Download
A chrome/test/mini_installer/config/chrome_dev_not_inuse.prop View 1 chunk +8 lines, -0 lines 0 comments Download
M chrome/test/mini_installer/config/config.config View 1 2 3 4 5 6 chunks +160 lines, -13 lines 0 comments Download
M chrome/test/mini_installer/mini_installer_test.gni View 1 chunk +8 lines, -0 lines 0 comments Download
M chrome/test/mini_installer/test_installer.py View 1 chunk +11 lines, -3 lines 0 comments Download
M chrome/test/mini_installer/variable_expander.py View 6 chunks +30 lines, -7 lines 0 comments Download

Messages

Total messages: 49 (34 generated)
robertshield
third of the way through a first skim to get my bearings, just a couple ...
7 months, 3 weeks ago (2017-04-05 21:29:37 UTC) #14
robertshield
Mucho plumbing, looks great, one question of substance: https://codereview.chromium.org/2802713002/diff/20001/chrome/install_static/google_chrome_install_modes.cc File chrome/install_static/google_chrome_install_modes.cc (right): https://codereview.chromium.org/2802713002/diff/20001/chrome/install_static/google_chrome_install_modes.cc#newcode58 chrome/install_static/google_chrome_install_modes.cc:58: L"Google ...
7 months, 2 weeks ago (2017-04-06 14:31:03 UTC) #15
grt (UTC plus 2)
review comments; omit google strings from chromium grd
7 months ago (2017-04-20 13:51:01 UTC) #16
grt (UTC plus 2)
Thanks. PTAL. https://codereview.chromium.org/2802713002/diff/20001/chrome/app/chrome_exe.rc File chrome/app/chrome_exe.rc (right): https://codereview.chromium.org/2802713002/diff/20001/chrome/app/chrome_exe.rc#newcode62 chrome/app/chrome_exe.rc:62: IDR_X005_BETA ICON "theme\\google_chrome\\win\\chrome_beta.ico" On 2017/04/05 21:29:37, robertshield ...
7 months ago (2017-04-20 13:53:05 UTC) #17
robertshield
https://codereview.chromium.org/2802713002/diff/20001/chrome/install_static/google_chrome_install_modes.cc File chrome/install_static/google_chrome_install_modes.cc (right): https://codereview.chromium.org/2802713002/diff/20001/chrome/install_static/google_chrome_install_modes.cc#newcode58 chrome/install_static/google_chrome_install_modes.cc:58: L"Google Chrome Beta", // A distinct base_app_name. On 2017/04/20 ...
7 months ago (2017-04-21 03:10:11 UTC) #26
grt (UTC plus 2)
On 2017/04/21 03:10:11, robertshield wrote: > https://codereview.chromium.org/2802713002/diff/20001/chrome/install_static/google_chrome_install_modes.cc > File chrome/install_static/google_chrome_install_modes.cc (right): > > https://codereview.chromium.org/2802713002/diff/20001/chrome/install_static/google_chrome_install_modes.cc#newcode58 > ...
7 months ago (2017-04-21 09:13:47 UTC) #29
robertshield
On 2017/04/21 09:13:47, grt (UTC plus 2) wrote: > On 2017/04/21 03:10:11, robertshield wrote: > ...
7 months ago (2017-04-21 12:56:41 UTC) #32
grt (UTC plus 2)
+thakis for chrome/BUILD.gn and chrome/common OWNERS review
7 months ago (2017-04-21 19:17:36 UTC) #34
Nico
lgtm
7 months ago (2017-04-21 19:27:18 UTC) #35
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2802713002/100001
7 months ago (2017-04-21 20:32:34 UTC) #37
commit-bot: I haz the power
Committed patchset #5 (id:100001) as https://chromium.googlesource.com/chromium/src/+/9897be5cb7fc7de9460c61e94eca2c4e27d99d8d
7 months ago (2017-04-21 20:39:01 UTC) #40
grt (UTC plus 2)
A revert of this CL (patchset #5 id:100001) has been created in https://codereview.chromium.org/2834973002/ by grt@chromium.org. ...
7 months ago (2017-04-22 04:27:21 UTC) #41
grt (UTC plus 2)
Relanding with missing test stanzas. Tests pass locally.
7 months ago (2017-04-23 07:14:12 UTC) #43
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2802713002/120001
7 months ago (2017-04-23 07:14:27 UTC) #46
commit-bot: I haz the power
7 months ago (2017-04-23 08:55:29 UTC) #49
Message was sent while issue was closed.
Committed patchset #6 (id:120001) as
https://chromium.googlesource.com/chromium/src/+/7df9336519376dca2df90eb4b1f9...

Powered by Google App Engine
This is Rietveld efc10ee0f